function main;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                            Michael Pokojovy                             % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(1);

set(gcf, 'PaperUnits', 'centimeters');
xSize = 25; ySize = 10;
xLeft = (21 - xSize)/2; yTop = (30 - ySize)/2;
set(gcf,'PaperPosition', [xLeft yTop xSize ySize]);
set(gcf,'Position',[0 0 xSize*50 ySize*50]);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(1, 2, 1);
t = title('Zyklus $\Gamma$ - positiver Umlauf', 'interpreter', 'latex');
set(t, 'FontSize', 16);

hold on;

N = 100;
phi = linspace(0, 2*pi, N);

x = cos(phi);
y = sin(phi);
plot(x, y);

arrow(x, y, 2,  1);
arrow(x, y, 25, 1);
arrow(x, y, 50, 1);
arrow(x, y, 75, 1);

axis([-1.1 1.1 -1.1 1.1]);

xlabel('Re z');
ylabel('Im z');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(1, 2, 2);
t = title('Zyklus $\Gamma$ - negativer Umlauf', 'interpreter', 'latex');
set(t, 'FontSize', 16);

hold on;

N = 100;
phi = linspace(0, 2*pi, N);

x = cos(phi);
y = sin(phi);
plot(x, y);

arrow(x, y, 2,  -1);
arrow(x, y, 25, -1);
arrow(x, y, 50, -1);
arrow(x, y, 75, -1);

axis([-1.1 1.1 -1.1 1.1]);

xlabel('Re z');
ylabel('Im z');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

function arrow(x, y, i, r)
    t(1) = x(i) - x(i - 1);
    t(2) = y(i) - y(i - 1);
    
    n(1) = t(2);
    n(2) = -t(1);
    
    plot([x(i) x(i) - r*(t(1) + n(1))], [y(i) y(i) - r*(t(2) + n(2))]); 
    plot([x(i) x(i) - r*(t(1) - n(1))], [y(i) y(i) - r*(t(2) - n(2))]); 
end