function main;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                            Michael Pokojovy                             % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(1);

set(gcf, 'PaperUnits', 'centimeters');
xSize = 22; ySize = 11.5;
xLeft = (21 - xSize)/2; yTop = (30 - ySize)/2;
set(gcf,'PaperPosition', [xLeft yTop xSize ySize]);
set(gcf,'Position',[0 0 xSize*50 ySize*50]);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
t = title('Zyklus $\Gamma$', 'interpreter', 'latex');
set(t, 'FontSize', 16);

hold on;

N = 100;
phi = linspace(0, 2*pi, N);

%%
x = cos(phi) - 2;
y = sin(phi);
plot(x, y);

arrow(x, y, 2,  -0.1);
arrow(x, y, 25, -0.1);
arrow(x, y, 50, -0.1);
arrow(x, y, 75, -0.1);
text(-0.9, 0, '$\Gamma_{1}$', 'interpreter', 'latex', 'FontSize', 24);
plot(-2, 0, '.', 'MarkerSize', 20);
text(-1.9, 0.1, '$z_{1}$', 'interpreter', 'latex', 'FontSize', 24);
%%
x = cos(phi) + 2;
y = sin(phi);
plot(x, y);

arrow(x, y, 2,  -0.1);
arrow(x, y, 25, -0.1);
arrow(x, y, 50, -0.1);
arrow(x, y, 75, -0.1);
text( 0.6, 0, '$\Gamma_{2}$', 'interpreter', 'latex', 'FontSize', 24);
plot(2, 0, '.', 'MarkerSize', 20);
text(2.1, 0.1, '$z_{2}$', 'interpreter', 'latex', 'FontSize', 24);
%%
x = 11*cos(phi);
y = 3*sin(phi);
x = abs(x).^0.5.*sign(x);
y = abs(y).^0.5.*sign(y);

plot(x, y);

arrow(x, y, 2,  0.1);
arrow(x, y, 25, 0.1);
arrow(x, y, 50, 0.1);
arrow(x, y, 75, 0.1);
text(-0.1, 1.5, '$\Gamma_{3}$', 'interpreter', 'latex', 'FontSize', 24);

axis([-3.4 3.4 -1.9 1.9]);

xlabel('Re z');
ylabel('Im z');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

function arrow(x, y, i, r)
    t(1) = x(i) - x(i - 1);
    t(2) = y(i) - y(i - 1);
    t = t/norm(t);
    
    n(1) = t(2);
    n(2) = -t(1);
    
    plot([x(i) x(i) - r*(t(1) + n(1))], [y(i) y(i) - r*(t(2) + n(2))]); 
    plot([x(i) x(i) - r*(t(1) - n(1))], [y(i) y(i) - r*(t(2) - n(2))]); 
end